## mate-desktop 1.28.2

=== meson_options.txt ===
option('gtk-doc',
  type: 'boolean',
  value: 'false',
  description: 'use gtk-doc to build documentation'
)

option('introspection',
  type: 'boolean',
  value: 'false',
  description: 'Enable introspection for this build'
)

option('mate-about',
  type: 'boolean',
  value: 'true',
  description: 'build mate-about'
)

option('startup-notification',
  type: 'feature',
  value: 'auto',
  description: 'startup notification support'
)

option('pnp-ids-path',
  type: 'string',
  value: 'internal',
  description: 'Specify the path to pnp.ids, default is "internal"'
)

=== debian/changelog ===
mate-desktop (1.28.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * Update debian/libmate-desktop-2-17t64.symbols
  * Restore changes from 1.26.2-1.2
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 16:40:19 -0400

mate-desktop (1.26.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Y2K38-unsafe patch to conform with startup-notification API.
    Closes: #1086464

 -- Bastian Germann <bage@debian.org>  Mon, 17 Mar 2025 16:22:25 +0100

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-dev (>= 1.22.5),
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0-dev,
               gtk-doc-tools,
               iso-codes,
               libdconf-dev (>= 0.13.4),
               libgdk-pixbuf-2.0-dev (>= 2.36.5),
               libglib2.0-dev (>= 2.50.0),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.22.0),
               libgtk-3-doc,
               librsvg2-bin,
               libstartup-notification0-dev,
               libx11-dev,
               libxml2-dev,
               libxrandr-dev (>= 1.3),
               meson,
Standards-Version: 4.7.2
Homepage: https://mate-desktop.org/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git

Package: mate-desktop
Architecture: any
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         libmate-desktop-2-17t64,
         mate-desktop-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: mate-user-guide,
Suggests: mate-desktop-environment,
Description: Library with common API for various MATE modules
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The mate-about program helps with finding which version of MATE is installed.
 .
 NOTE: This package does not install the complete MATE desktop environment
 for you. The full desktop environment can be installed via the metapackage
 mate-desktop-environment.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends},
Description: Library with common API for various MATE modules (common files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the architecture-independent files.

Package: libmate-desktop-2-17t64
Section: libs
Architecture: any
Multi-Arch: same
Depends: iso-codes,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: libmatedesktop,
          ${t64:Provides},
Breaks: libmate-desktop-2-17 (<< ${source:Version}),
Replaces: libmate-desktop-2-17,
Description: Library with common API for various MATE modules (library)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The package contains the actual mate-desktop library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdconf-dev,
         libgdk-pixbuf-2.0-dev,
         libgtk-3-dev,
         libmate-desktop-2-17t64 (= ${binary:Version}),
         libstartup-notification0-dev,
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: Library with common API for various MATE modules (development files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the mate-desktop development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Library with common API for various MATE modules (documentation files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the documentation files.

Package: gir1.2-matedesktop-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmate-desktop-2-17t64 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: GObject introspection data for the libmate-desktop library
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains introspection data for the library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson --without autoreconf

execute_before_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	mkdir -p debian/tmp/usr/share/doc/libmate-desktop-doc/
	mv debian/tmp/usr/share/gtk-doc/html/mate-desktop debian/tmp/usr/share/doc/libmate-desktop-doc/html

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk-doc=true \
		-Dintrospection=true
